Bug 1247338 - drop requirement for rhel optional channel to rhev hypervisors 3.6.0
drop requirement for rhel optional channel to rhev hypervisors 3.6.0
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: distribution (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity high
: ovirt-3.6.0-rc3
: 3.6.0
Assigned To: Joey Boggs
Pavol Brilla
:
Depends On:
Blocks: 1246851
  Show dependency treegraph
 
Reported: 2015-07-27 15:12 EDT by Eyal Edri
Modified: 2016-04-19 21:37 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-19 21:37:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Rel-Eng
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eyal Edri 2015-07-27 15:12:13 EDT
Description of problem:
today (until rhev 3.5.z) optional channel is required to install vdsm on a rhel hypervisor.

the only pkg that are taken from the optional channel are:

augeas                                         x86_64                   1.0.0-10.el6
libvirt-lock-sanlock                           x86_64                   0.10.2-54.el6
sanlock                                        x86_64                   2.8-2.el6_5
sanlock-lib                                    x86_64                   2.8-2.el6_5
sanlock-python                                 x86_64                   2.8-2.el6_5

Version-Release number of selected component (if applicable):
rhev 3.5.Z

How reproducible:
100%

Steps to Reproduce:
1. install rhev 3.5.3 + add host (don't include optional channel rhel-6-server-optional-rpms)
2. host install will fail on missing pkg
3.

Expected results:
don't require rhel-6-server-optional-rpms

Additional info:
this can be done via tagging in brew to the rhev-mgmt-agent channel instead of optional.
Comment 2 Pavol Brilla 2016-01-21 09:07:03 EST
Host installed without optional channel enabled. verified on version 3.6.2.6-0.1.el6

Note You need to log in before you can comment on or make changes to this bug.